compat: add x86 support to get-compat-kernels for Ubuntu